Skip to main content

Check-In Authorization: Contact EMV PIN Debit


Use this information to process a check-in authorization when a guest checks in with a contact EMV PIN debit payment card. Request a PIN debit purchase with contact EMV.

Endpoints

POST /pts/v2/payments

POST /pts/v2/payments

Example

This example shows you how to authorize a payment at check in with contact EMV while creating customer, payment instrument, and shipping address tokens. The example includes optional lodging fields.

{    "clientReferenceInformation": {        "comments": "Checkin Auth CP",        "code": "9876543219",        "transactionId": "tid9876",        "partner": {            "developerId": "developer9876",            "solutionId": "solution9876"        }    },    "processingInformation": {        "commerceIndicator": "retail",        "industryDataType": "lodging",        "networkRoutingOrder": "7MF8VGEH"    },    "paymentInformation": {        "paymentType": {            "name": "CARD",            "subTypeName": "DEBIT"        }    },    "orderInformation": {        "amountDetails": {            "totalAmount": "150",            "currency": "USD"        }    },    "travelInformation": {        "duration": "11",        "lodging": {            "room": [                {                    "dailyRate": "120.00",                    "numberOfNights": 1                }            ],            "roomTaxType": "3.00",            "totalTaxAmount": "5.00",            "prepaidCost": "5.00",            "foodAndBeverageCost": "15.00",            "cashDisbursementCost": "2.00"        }    },    "pointOfSaleInformation": {        "terminalId": "12345678",        "entryMode": "contact",        "terminalCapability": 4,        "terminalPinCapability": 12,        "emv": {            "tags": "5F3401019F3303E0F8C8950580800480009F370465B81A3A9F100706011203A0A0009F2608E9D097D1901E8AB99F36020002820218009C01009F1A0208409A031808169F02060000000007005F2A0208409F0306000000000000DF78083831393931303236DF791B322D30323436362D312D31432D5246492D303331332D342E332E62",            "cardSequenceNumber": "01"        },        "trackData": ";476173XXXXXXXXXX=251220111478549?",        "deviceId": "",        "pinBlockEncodingFormat": 0,        "encryptedPin": "F509429A3C3FD201",        "encryptedKeySerialNumber": "FFFF1B1D140000200001"    },    "merchantInformation": {        "categoryCode": 7011    }}
{    "_links": {        "void": {            "method": "POST",            "href": "/pts/v2/payments/7231221422946408604951/voids"        },        "self": {            "method": "GET",            "href": "/pts/v2/payments/7231221422946408604951"        }    },    "clientReferenceInformation": {        "code": "Lodging_Ben_ct_AddFields"    },    "id": "7231221422946408604951",    "orderInformation": {        "amountDetails": {            "authorizedAmount": "150.00",            "currency": "usd"        }    },    "pointOfSaleInformation": {        "emv": {            "tags": "9F36020002910816D717A200860000"        }    },    "processingInformation": {        "reconciliationId": "7231221422946408604951"    },    "processorInformation": {        "systemTraceAuditNumber": "017809",        "routing": {            "network": "0002"        },        "approvalCode": "059782",        "retrievalReferenceNumber": "123456017809",        "transactionId": "304221469420503",        "responseCode": "00"    },    "reconciliationId": "7231221422946408604951",    "status": "AUTHORIZED",    "submitTimeUtc": "2025-08-08T13:02:22Z"}
FieldTypeDescription
clientReferenceInformation.code
clientReferenceInformation.commentsRequired only when processing through .
clientReferenceInformation.partner.developerIdThe value is provided by .
clientReferenceInformation.partner.solutionIdThe value is provided by .
clientReferenceInformation.partner.thirdPartyCertificationNumberThe value is provided by .
clientReferenceInformation.transactionId
orderInformation.amountDetails.currency
orderInformation.amountDetails.totalAmount
paymentInformation.paymentType.nameSet this field to CARD.
paymentInformation.paymentType.subTypeNameSet this field to DEBIT.
pointOfSaleInformation.deviceId
pointOfSaleInformation.emv.cardSequenceNumberRequired only when the card has a sequence number configured on the EMV chip.
pointOfSaleInformation.emv.tags
pointOfSaleInformation.encryptedKeySerialNumber
pointOfSaleInformation.encryptedPin
pointOfSaleInformation.entryModeSet this field to contact.
pointOfSaleInformation.pinBlockEncodingFormatSet this field to 1.
pointOfSaleInformation.terminalCapability
pointOfSaleInformation.terminalID
pointOfSaleInformation.terminalPinCapability
pointOfSaleInformation.trackData
processingInformation.commerceIndicatorSet the value to retail.
processingInformation.networkRoutingOrder
travelInformation.duration

Last published: September 29, 2026